
From: Jeff Mahoney <jeffm@suse.com>

Since the filesystem doesn't explicitly set s->s_maxbytes, seeks will fail
beyond 2^32-1, due to s->s_maxbytes being set to the default of
MAX_NON_LFS.

Attached is the quick one liner fix.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/isofs/inode.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/isofs/inode.c~files-up-to-4-gb-support-for-iso9660-filesystems fs/isofs/inode.c
--- 25/fs/isofs/inode.c~files-up-to-4-gb-support-for-iso9660-filesystems	2004-08-16 11:43:08.888298672 -0700
+++ 25-akpm/fs/isofs/inode.c	2004-08-16 11:43:08.892298064 -0700
@@ -715,6 +715,7 @@ root_found:
 	  }
 
 	s->s_magic = ISOFS_SUPER_MAGIC;
+	s->s_maxbytes = 0xffffffff; /* We can handle files up to 4 GB */
 
 	/* The CDROM is read-only, has no nodes (devices) on it, and since
 	   all of the files appear to be owned by root, we really do not want
_
